Bug 1795037 - [OpenStack] CAPO fails to get cloud-provider CA cert
Summary: [OpenStack] CAPO fails to get cloud-provider CA cert
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.0
Assignee: Martin André
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-26 15:38 UTC by Martin André
Modified: 2020-05-04 11:27 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:26:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-api-operator pull 471 0 None closed vsphere: Reconcile region and zone labels on Machine 2020-08-04 18:19:46 UTC
Github openshift machine-api-operator pull 480 0 None closed Bug 1795037: Fix cloud-provider-config-reader role 2020-08-04 18:19:46 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:27:10 UTC

Description Martin André 2020-01-26 15:38:08 UTC
CAPO should be able to read the `openshift-config/cloud-provider-config` configmap in order to retrieve the cloud provider CA certificate.

This should have been handled in https://github.com/openshift/machine-api-operator/pull/473/, however there was a typo (clustermap vs clustermaps) and the new cloud-provider-config-reader role doesn't allow reading from the config map.

Here is the error from the CAPO logs:

I0125 17:54:30.807499       1 machineservice.go:189] Not using cloud provider CA cert: failed to get configmap openshift-config/cloud-provider-config/ca-bundle.pem from kubernetes api: configmaps "cloud-provider-config" is forbidden: User "system:serviceaccount:openshift-machine-api:machine-api-controllers" cannot get resource "configmaps" in API group "" in the namespace "openshift-config"

Comment 1 Martin André 2020-02-04 13:16:48 UTC
The original PR at https://github.com/openshift/machine-api-operator/pull/480 was superseded by https://github.com/openshift/machine-api-operator/pull/471 which merged already.
Moving to ON_QA.

Comment 2 David Sanz 2020-02-04 13:52:44 UTC
Verified on 4.4.0-0.nightly-2020-01-31-144949

Comment 4 errata-xmlrpc 2020-05-04 11:26:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.